#
# Conditional build:
%bcond_without	tests		# do not perform "make test"

%define		pdir	namespace
%define		pnam	clean
%include	/usr/lib/rpm/macros.perl
Summary:	namespace::clean - Keep imports and functions out of your namespace
Name:		perl-namespace-clean
Version:	0.22
Release:	3
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/namespace/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	6c79f5de86159682deea09ee13311eaa
URL:		http://search.cpan.org/dist/namespace-clean/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl(B::Hooks::EndOfScope)
BuildRequires:	perl-Package-Stash >= 0.23
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# Tie::ExtraHash and Tie::StdHash are present in Tie/Hash.pm package
%define		_noautoreq_perl	Tie::ExtraHash Tie::StdHash

%description
The namespace::clean pragma will remove all previously declared or
imported symbols at the end of the current package's compile cycle.
Functions called in the package itself will still be bound by their
name, but they won't show up as methods on your class or instances.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	--skipdeps \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%dir %{perl_vendorlib}/namespace
%{perl_vendorlib}/namespace/clean.pm
%{perl_vendorlib}/namespace/clean
%{_mandir}/man3/namespace::clean.3pm*
%changelog
* Sun May 12 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-namespace-clean.git;a=log;h=master

* Sun May 12 2013 Jan Rękorajski <baggins@pld-linux.org> 0c5ad46
- added Tie::StdHash to noutoreq
- rel 3

* Sun May 12 2013 Jan Rękorajski <baggins@pld-linux.org> 5f0f2df
- rpm5 noautoreq
- rel 2

* Sat Jan 14 2012 zbyniu <zbyniu@pld-linux.org> 210488f
- up to 0.22

* Sat Dec 10 2011 Elan Ruusamäe <glen@pld-linux.org> 1fdafe4
- avoid pulling in Tie::ExtraHash

* Sat Dec 10 2011 Elan Ruusamäe <glen@pld-linux.org> c46f072
- up to 0.21

* Tue Jun 16 2009 amateja <amateja@pld-linux.org> 7f8598e
- updated to 0.11

* Sun Feb 01 2009 radek <radek@pld-linux.org> 20899c8
- release 2: add the vendorlib/namespace dir

* Fri Jan 30 2009 radek <radek@pld-linux.org> 2ec3366
- new

